Bug 445853 - Using XRANDR to change backlight is awful slow
Using XRANDR to change backlight is awful slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXrandr (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 09:12 EDT by Bastien Nocera
Modified: 2009-07-14 13:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-05-09 09:12:23 EDT
This is more noticeable when using gnome-power-manager and changing the
brightness using keys, but running xbacklight shows the problem as well:
I get between .3 and .5 of a second running xbkaclight.
Comment 1 Bastien Nocera 2008-05-09 09:12:59 EDT
FYI, xbacklight:
http://lwn.net/Articles/239261/
Comment 2 Lennart Poettering 2008-05-09 09:53:19 EDT
Bastien, you are aware of the -time and -steps argument to xbacklight?
Comment 3 Bastien Nocera 2008-05-09 11:00:49 EDT
Using:
$ time ./xbacklight -steps 1 -time 0 -set 50
real	0m0.335s
user	0m0.002s
sys	0m0.003s

I also modified xbacklight so backlight_set() is run directly, and no sleep()
are done, and I still get a similar amount of time spent.
Comment 4 Bastien Nocera 2008-05-09 11:05:53 EDT
From "xrandr --prop":
	BACKLIGHT_CONTROL: combination
		supported: native       legacy       combination  kernel      
	BACKLIGHT: 156 (0x0000009c) range:  (0,312)

Using the "native" control (the only one that works other than combination),
doesn't change the speed of setting the backlight, even when using xrandr to set
it (eg. "xrandr --output LVDS --set BACKLIGHT 312").
Comment 5 Bastien Nocera 2008-05-09 11:46:06 EDT
XRRGetScreenResources() is the slow bit, takes 0.3 seconds.
Comment 6 Bastien Nocera 2008-05-09 13:40:07 EDT
Posted upstream:
http://lists.freedesktop.org/archives/xorg/2008-May/035261.html
Comment 8 Adam Jackson 2008-05-13 14:35:39 EDT
Yeah, i2c is slow alright.
Comment 9 Bug Zapper 2008-05-14 06:54:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 20:42:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:40:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.